#ifndef _MISSILE_H_
#define _MISSILE_H_


#include "allegro.h"
#include "main.h"

#define MISSILE_NORMAL			1
#define MISSILE_HEAT_SEEKING	2
#define MISSILE_PHOSPHOR		3

class missile : projectile {

public:
	int		type;
	fixed	max_speed;
	fixed	start_speed;
	fixed	acc_speed;

	projectile();
	~projectile();

	void to_string(char *str) = 0;
};


#endif